apropos(1)

NOME
apropos - ricerca nei nomi e nelle descrizioni delle pagine di manuale

SINTASSI
apropos [-dhV] [-e|-w|-r ] [-m sistema[,...]] [-M percorso] parola_chiave ...

DESCRIZIONE
Ogni pagina di manuale ha disponibile al suo interno una breve descrizione. apropos ricerca nelle descrizioni le istanze di parola_chiave. parola_chiave è solitamente una espressione regolare, come se fosse usata l'opzione -r , oppure può contenere wildcard ("caratteri jolly") (-w) o corrispondere esattamente ad una parola (-e) . Usando queste opzioni, potrebbe essere necessario racchiudere tra virgolette (') la parola_chiave o far precedere da backslash (\) i caratteri speciali per evitare che la shell provi a interpretarla(i). Le regole di corrispondenza predefinite permettono la ricerca della corrispondenza nel nome della pagina ed in parole intere nella descrizione.

OPZIONI

-d, --debug
    Mostra informazioni utili al debug.

-r, --regex
    Interpreta ogni parola chiave come un'espressione regolare. Questo è il comportamento predefinito. Di ogni parola chiave sarà cercata la corrispondenza fra i nomi delle pagine e le descrizioni indipendentemente. Può corrispondere ad una parte qualsiasi di entrambe. La corrispondenza non è limitata a parole intere.

-w, --wildcard
    Interpreta ogni parola chiave come un modello (pattern) contenente wildcard nello stile della shell. Di ogni parola chiave sarà cercata la corrispondenza fra i nomi delle pagine e le descrizioni indipendentemente. È trovata una corrispondenza solo se la parola chiave espansa corrisponde ad un'intera descrizione o nome di pagina.

-e, --exact
    Di ogni parola chiave sarà cercata la corrispondenza esatta tra i nomi delle pagine e le descrizioni.

-m sistema [,...], --systems=sistema [,...]
    Se il sistema ha accesso alle descrizioni delle pagine di manuale di altri sistemi operativi, usando questa opzione può essere fatta una ricerca anche in tali descrizioni. Per ricercare nelle descrizioni delle pagine di manuale di NewOS, usare l'opzione -m NewOS. Il sistema specificato può essere una combinazione qualsiasi di nomi di sistemi operativi separati da virgole. Per includere una ricerca nelle descrizioni whatis del sistema operativo nativo, si includa il nome di sistema man nella stringa argomento. Usando questa opzione verrà ignorata la variabile d'ambiente $SYSTEM.

-M percorso, --manpath=percorso
    Specifica un'insieme di ricerca alternativo di gerarchie di percorsi di pagine di manuale separate da `:'. Di default, apropos usa la variabile d'ambiente $MANPATH finché questa non è vuota o non definita, nel qual caso determinerà un'appropriato percorso basato sulla propria variabile d'ambiente $PATH. Usando questa opzione verrà ignorato il contenuto di $MANPATH.

-h, --help
    Mostra un messaggio d'aiuto ed esce.

-V, --version
    Mostra informazioni sulla versione e sull'autore.

STATI D'USCITA

0   L'esecuzione del programma ha avuto successo.

1   Errore d'uso, di sintassi o nel file di configurazione.

2   Errore operativo.

16  Non è stato trovato niente che corrisponde al criterio specificato.

VARIABILI D'AMBIENTE

SYSTEM
    Se $SYSTEM è impostata, il suo valore avrà lo stesso effetto che fosse specificato come argomento dell'opzione -m.

MANPATH
    Se $MANPATH è impostata, il suo valore è interpretato come una lista di percorsi di ricerca, separati da `:', di gerarchie di pagine di manuale da usare.

POSIXLY_CORRECT
    Se $POSIXLY_CORRECT è impostata, anche ad un valore nullo, il metodo di ricerca predefinito di apropos sarà considerare la parola chiave come una espressione regolare estesa (-r) . Questo comunque è il comportamento predefinito.

FILE

/usr/share/man/index.(bt|db|dir|pag)
    Una cache della base di dati globale index tradizionale.

/var/cache/man/index.(bt|db|dir|pag)
    Una cache della base di dati globale index alternativa e conforme con FHS.

/usr/share/man/.../whatis
    Una tradizionale base di dati whatis.

VEDERE ANCHE
whatis(1), man(1).

AUTORI
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Traduzione di Bortolozzo Giovanni (borto@pluto.linux.it)